cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

What version of TW Platform is the latest Edge SDK compatible with

SOLVED
gseq
Guest

What version of TW Platform is the latest Edge SDK compatible with

Hello TW,

We are in bit of a bind. I'm running a legacy version of TW and have ported the Edge C-SDK available at that time for use on of our devices.

PlatformSDK
6.0.31-2-1-261

The latest available platform is 1.3.1.957, updated on Sep 4, 2015, according to marketplace.

Can I run C-SDK 1.3.1.957 on Thingworx 6.0.3.

There are two reasons for this:

  • There is a networking bug in the 1.2 C-SDK which was resolved here.
  • Server side has already been setup.

Thanks,

Gerard

Tags (1)
1 ACCEPTED SOLUTION

Accepted Solutions

Re: What version of TW Platform is the latest Edge SDK compatible with

Yes, it is compatible; you should not run into any issues.

View solution in original post

4 REPLIES 4

Re: What version of TW Platform is the latest Edge SDK compatible with

I think that better you open a support case for this kind of question.

Re: What version of TW Platform is the latest Edge SDK compatible with

Gerard, the BSD socket error fix was patched on to the CSDK 1.3.1 as well. You should not have any issues using the SDK with the platform. On a side note, we have the release notes for all Edge products in the Edge Help Center under the 'Welcome' section.

Re: What version of TW Platform is the latest Edge SDK compatible with

Thanks for clarifying that, Aanjan.

Is it ok to run CSDK 1.3.1 on TW 6.0.3?

Re: What version of TW Platform is the latest Edge SDK compatible with

Yes, it is compatible; you should not run into any issues.

View solution in original post

Announcements

Check out the upcoming Expert Session: Understanding ThingWorx Navigate Licensing in Community "Customer Events" section.